<div id="sidebar"> 

<?php if ( !function_exists('dynamic_sidebar')
        || !dynamic_sidebar() ) : ?>

<div class="sidebar1"> 
<h2><?php _e('Pages'); ?></h2> 
<ul>
		<li class="<?php if ( is_home() ) { ?>current_page_item<?php } else { ?>page_item<?php } ?>"><a href="<?php echo get_settings('home'); ?>"><?php _e('Home'); ?></a></li>
		<?php wp_list_pages('sort_column=id&depth=1&title_li='); ?>
</ul>	
</div> 

<div class="sidebar1"> 
<h2><?php _e('Categories'); ?></h2> 
<ul>
<?php if (function_exists('wp_list_categories')) 
{wp_list_categories('show_count=1&title_li='); }
else { wp_list_cats('optioncount=1'); } ?>
</ul>	
</div> 


<div class="sidebar1"> 
<h2><?php _e('Archives'); ?></h2> 
<ul>
<?php wp_get_archives('type=monthly&limit=12&show_post_count=1'); ?>
</ul>	
</div> 


<?php if (function_exists('wp_theme_switcher')) { ?>
<div class="sidebar1"> 
<h2><?php _e('Themes'); ?></h2> 
<ul>
<li><?php wp_theme_switcher('dropdown'); ?></li>
</ul>
</div>
<?php } ?> 


<div class="sidebar1"> 
<h2><?php _e('Links'); ?></h2> 
<ul>
<?php get_links('-1', '<li>', '</li>', '', FALSE, 'id', TRUE, FALSE, 10, FALSE, TRUE); ?>
</ul>	
</div> 


<div class="sidebar1"> 
<h2><?php _e('Subscribe'); ?></h2> 
<ul>
<li><a href="<?php bloginfo('rss2_url'); ?>">Posts RSS</a></li>
<li><a href="<?php bloginfo('comments_rss2_url'); ?>">Comments RSS</a></li>
</ul>	
</div> 


<div class="sidebar1"> 
<h2><?php _e('Search'); ?></h2> 
<form method="get" id="searchform" action="<?php bloginfo('home'); ?>"><input type="text" class="textbox" value="<?php echo wp_specialchars($s, 1); ?>" name="s" id="s" /><input type="submit" id="searchsubmit" value="Search" /></form>
</div> 
  

<?php endif; ?>

</div> 
<!-- end sidebar --> 